package com.signal.sig.ws;

public class SigWebSocketThread {

  public static void start() throws Exception {
	  
	  SigWebSocketServer nssb = new SigWebSocketServer("SigWebSocket");
      Thread t = new Thread(nssb);

      t.setUncaughtExceptionHandler (
				new Thread.UncaughtExceptionHandler() {
					@Override
					public void uncaughtException(Thread th, Throwable ex) {
						//쓰레드에서 던진 예외는 이곳으로 오게됨.
						System.out.println("Uncaught exception: " + ex);
					}
				}
		);

		t.start();
  }
}
